/**
 * Simple Content Slider by M.Majunke
 * JavaScript File
 *
 * @version 1.6.1
 * @package PLG_CONTENT_SLIDER
 * @copyright Copyright (C) 2010 Majunke Michael. All rights reserved.
 * @license GNU/GPL
 */

// close All Sliders in Array but not excludeSliderObj
function closeSlidersAllInWithoutX( inArr, excludeSliderObj ) {
	if ( inArr == null || excludeSliderObj == null ) {
		return;
	}
	for ( var i = 0; i < inArr.length; i++) {
    	if ( inArr[i][1] !== excludeSliderObj ) {
        	closeSlider( inArr[i][1] , inArr[i][0] );
		}
	}
}

// function for closeDep
function closeSlider(sliderObj, sliderId) {
    if (typeof sliderObj == "undefined" || sliderObj == null) {
        return;
    }
    // Anm. Active wird aus dem Style herausgeloescht und den closed style zu erhalten
    flag = sliderObj.open;
    if (flag) {
        sliderObj.slideOut();
        var tcl = document.getElementById('toggleSlide' + sliderId).className.replace('Active', '');
        document.getElementById('toggleSlide' + sliderId).className = tcl;
        if (document.getElementById('slideDesc' + sliderId) != null) {
            var dcl = document.getElementById('slideDesc' + sliderId).className.replace('Active', '');
            document.getElementById('slideDesc' + sliderId).className = dcl;
        }
        if (document.getElementById('slide' + sliderId) != null) {
            var scl = document.getElementById('slide' + sliderId).className.replace('Active', '');
            document.getElementById('slide' + sliderId).className = scl;
        }
        if (document.getElementById('toggleSlideEnd' + sliderId) != null) {
            var ccl = document.getElementById('toggleSlideEnd' + sliderId).className.replace('Active', '');
            document.getElementById('toggleSlideEnd' + sliderId).className = ccl;
        }
    }
}